#include <iostream>
#include <vector>

using namespace std;
int main()
{
    int n;
    cin >> n;
    vector<int> a(n + 1);
    vector<int> b(n + 1);
    for (int i = 1; i < n + 1; i++) {
        if (i & 1) {
            a[i] = i;
            a[i + 1] = 2 * n - i;
        }
        else {
            b[i - 1] = i;
            b[i] = 2 * n - i + 2;
        }
    }
    for (int i = 1; i < n + 1; i++) cout << a[i] << ' ';
    cout << endl;
    for (int i = 1; i < n + 1; i++) cout << b[i] << ' ';
 }